Page MenuHomePhabricator

1.40.0-wmf.19 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
jeena
Release Version
1.40.0-wmf.19
Release Date
Mon, Jan 16, 12:00 AM

2023 week 03 1.40-wmf.19 Changes wmf/1.40.0-wmf.19

This MediaWiki Train Deployment is scheduled for the week of Monday, January 16th:

Monday January 16thTuesday, January 17thWednesday, January 18thThursday, January 19thFriday
Backports only.Branch wmf.19 and deploy to Group 0 Wikis.Deploy wmf.19 to Group 1 Wikis.Deploy wmf.19 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.19 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.40.0-wmf.18
Next: 1.40.0-wmf.20

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: dduvall.
thcipriani set the point value for this task to 5.
thcipriani updated Other Assignee, added: jeena; removed: dduvall.
thcipriani added a subscriber: jeena.

Change 880511 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.40.0-wmf.19] Branch commit for wmf/1.40.0-wmf.19

https://gerrit.wikimedia.org/r/880511

Change 880511 merged by jenkins-bot:

[mediawiki/core@wmf/1.40.0-wmf.19] Branch commit for wmf/1.40.0-wmf.19

https://gerrit.wikimedia.org/r/880511

Change 880891 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/880891

Change 880891 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/880891

Mentioned in SAL (#wikimedia-operations) [2023-01-17T09:26:00Z] <jnuche@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.19 refs T325582

Mentioned in SAL (#wikimedia-operations) [2023-01-17T09:28:53Z] <jnuche@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.19 refs T325582

Mentioned in SAL (#wikimedia-operations) [2023-01-17T10:11:20Z] <jnuche@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.19 refs T325582 (duration: 42m 26s)

RISKY CHANGE
Just noting that tomorrow the default skin for English Wikipedia will be changing. If any issues occur tomorrow or Thursday they may relate to this rather than the current train. Please subscribe to T326892 and comment on any issues you see that might relate to it there.

Things to watch out for:

  • Traffic to thumbor or text servers (SRE team is aware @Ladsgroup )
  • Performance regressions (performance team is aware @Peter )
  • JS or PHP error spikes on logstash (more likely the former relating to gadgets, please ping me)

Revert plan
Rolling back the skin would be bad PR so we're hoping to avoid this by a staged roll out (10%, 25%, 50%, 75%, 100% with SRE). We will have patches to disable search thumbnails and block thumbnail traffic for search (via regex) to use if needed.

Change 880999 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/880999

Change 880999 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/880999

Mentioned in SAL (#wikimedia-operations) [2023-01-17T20:06:53Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.19 refs T325582

Change 881354 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/881354

Change 881354 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/881354

Mentioned in SAL (#wikimedia-operations) [2023-01-18T09:15:54Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.19 refs T325582

Mentioned in SAL (#wikimedia-operations) [2023-01-18T09:24:15Z] <jnuche@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.19 refs T325582 (duration: 08m 20s)

Change 881501 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/881501

Change 881501 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.19

https://gerrit.wikimedia.org/r/881501

Mentioned in SAL (#wikimedia-operations) [2023-01-19T09:24:30Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.40.0-wmf.19 refs T325582